Subject: Re: linux-next: build failure after merge of the battery tree

From: Enric Balletbo i Serra <[email-masked]>
Date: Fri, 28 Jun 2019 18:56:56 +0200

Hi,

On 28/6/19 17:31, Sebastian Reichel wrote:
> Hi,
> 
> On Fri, Jun 28, 2019 at 02:03:04PM +1000, Stephen Rothwell wrote:
>> Hi all,
>>
>> After merging the battery tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
>>
>> drivers/power/supply/wilco-charger.c: In function 'wilco_charge_get_property':
>> drivers/power/supply/wilco-charger.c:104:8: error: implicit declaration of function 'wilco_ec_get_byte_property'; did you mean 'wilco_charge_get_property'? [-Werror=implicit-function-declaration]
>>   ret = wilco_ec_get_byte_property(ec, property_id, &raw);
>>         ^~~~~~~~~~~~~~~~~~~~~~~~~~
>>         wilco_charge_get_property
>> drivers/power/supply/wilco-charger.c: In function 'wilco_charge_set_property':
>> drivers/power/supply/wilco-charger.c:130:10: error: implicit declaration of function 'wilco_ec_set_byte_property'; did you mean 'wilco_charge_set_property'? [-Werror=implicit-function-declaration]
>>    return wilco_ec_set_byte_property(ec, PID_CHARGE_MODE, mode);
>>           ^~~~~~~~~~~~~~~~~~~~~~~~~~
>>           wilco_charge_set_property
>>
>> Caused by commit
>>
>>   0736343e4c56 ("power_supply: wilco_ec: Add charging config driver")
>>

Hmm, I just applied this patch on top of linux-next and it build with
allmodconfig on x86_64

I am wondering if the build was done without this commit, which is in
chrome-platform for-next branch. Could be this the problem?

commit 0c0b7ea23aed0b55ef2f9803f13ddaae1943713d
Author: Nick Crews <[email-masked]>
Date:   Wed Apr 24 10:56:50 2019 -0600

    platform/chrome: wilco_ec: Add property helper library

Anyway, I think the proper way to do it is create an immutable branch for
Sebastian as the patch he picked depends on the above commit. I'll create one,
sorry about that missing dependency.

Thanks,
~ Enric

>> I have reverted that commit for today.
> 
> Oops, thanks for the hint. I did not notice this with ARM
> allmodconfig. I dropped the patch for this cycle.
> 
> -- Sebastian
>